conversations listlengths 2 3 | source stringclasses 1
value | stack stringclasses 1
value |
|---|---|---|
[
{
"from": "system",
"value": "Add -m flag to gc alias\n"
},
{
"from": "human",
"value": "\n# -------------------------------------------------------------------------\n# Aliases\n# -------------------------------------------------------------------------\n\n# Navigation.\nalias ..=\"cd ..\"\nali... | shell | chosen |
[
{
"from": "system",
"value": "Change output file name to human-readable date and time.\n"
},
{
"from": "human",
"value": "#!/bin/sh\nset -u # use strict; use warnings\n#set -x # make things visible\n\n# Travels through selected directories and outputs checksums of the files\n# within.\n# This ... | shell | chosen |
[
{
"from": "system",
"value": "Enable ansible keys on vagrant host\n"
},
{
"from": "human",
"value": "#! /bin/bash\nset -e\n\n# Exit script if it is not run at the same level the Vagrant file lives in\nls | grep -q Vagrantfile || (echo \"Must be run at the Vagrantfile level\" && exit 1)\n\n# Vali... | shell | chosen |
[
{
"from": "system",
"value": "Fix double export, respecting new multilang packaging\n"
},
{
"from": "human",
"value": "#!/bin/bash\n# Licensed under the Apache License, Version 2.0 (the \"License\");\n# you may not use this file except in compliance with the License.\n# You may obtain a copy ... | shell | chosen |
[
{
"from": "system",
"value": "Add Default Token Introspection URI to Docker Support\n"
},
{
"from": "human",
"value": "#!/usr/bin/env bash\n\nlein with-profile production,datomic-free trampoline run -p 8080 -d ${DB_URI:-datomic:free://db:4334/lens-workbook} -c ${CONTEXT_PATH:-/}\n"
},
{
... | shell | chosen |
[
{
"from": "system",
"value": "Install openjdk-7-jre on all environments\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\nELASTICSEARCH_VERSION=1.5.2\nKUROMOJI_VERSION=2.5.0\n\nsudo apt-get update\nsudo apt-get upgrade\n\nif type java > /dev/null 2&>1; then\n sudo apt-get install -y openjdk-7-j... | shell | chosen |
[
{
"from": "system",
"value": "Add ccache to the PATH\n"
},
{
"from": "human",
"value": "# Set editor for emacs\nexport EDITOR=\"emacsclient -t -a ''\"\nexport VISUAL=\"emacsclient -t -a ''\"\n# export path to include personal bin\npath=(~/bin /usr/local/bin ~/.cargo/bin $path)\n# Get terminal co... | shell | chosen |
[
{
"from": "system",
"value": "Drop test and production env.\n"
},
{
"from": "human",
"value": "#!/bin/bash\nRAILS_ENV=$1\nAPP_PORT=$2\nWS_PORT=$3\nEXIT=$4 || 0\n\nscript/scheduler.rb stop\nscript/websocket-server.rb stop\nkill $(cat tmp/pids/server.pid)\n\nrake db:drop\n\nexit $EXIT\n"
},
{
... | shell | chosen |
[
{
"from": "system",
"value": "Use base64 to avoid string errors\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\n# Based on the gist https://gist.github.com/colinstein/de1755d2d7fbe27a0f1e\n\ndotfiles_encrypt() {\n\tlocal file=\"$1\"\n\tlocal pass=\"$(openssl rand 200)\"\n\topenssl aes-256-cbc ... | shell | chosen |
[
{
"from": "system",
"value": "Delete obsolete deletion of service that doesn't exist\n"
},
{
"from": "human",
"value": "#!/usr/bin/env bash\n\nGREEN='\\033[0;32m'\nNC='\\033[0m'\n\necho -e \"${GREEN} -- initiating clean up -- ${NC}\"\n\ncf unbind-service demoFileUploader free-virusscanner\ncf d... | shell | chosen |
[
{
"from": "system",
"value": "Add the rest of thoughtbot awesome key bindings"
},
{
"from": "human",
"value": "# makes color constants available\nautoload -U colors\ncolors\n\n# enable colored output from ls, etc\nexport LSCOLORS=\"Gxfxcxdxbxegedabagacad\"\n\n# History settings\nsetopt hist_igno... | shell | chosen |
[
{
"from": "system",
"value": "Change the zsh theme to arrow.\n"
},
{
"from": "human",
"value": "# Use antigen to manage zsh resource.\n# `cd ~ && git clone https://github.com/zsh-users/antigen.git .antigen`\n# for more information refers to: https://github.com/zsh-users/antigen\nsource \"$HOME/.... | shell | chosen |
[
{
"from": "system",
"value": "Use vcs_info() instead of dirty git hack\n"
},
{
"from": "human",
"value": "autoload -Uz vcs_info\nzstyle ':vcs_info:*' enable git svn\nprecmd() {\n vcs_info\n}\n\nZSH_GIT_PROMPT_DIRTY=\"▴\"\nZSH_GIT_PROMPT_CLEAN=\"\"\n\nZSH_GIT_PROMPT_PREFIX=\"%{$fg[green]%}\"\nZS... | shell | chosen |
[
{
"from": "system",
"value": "Use listen on 0.0.0.0 not *\n\nThis seems to work more reliably on both mac and linux.\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\nbundle install\nbundle exec shotgun -o '*' -p 3009\n"
},
{
"from": "gpt",
"value": "#!/bin/bash\n\nbundle install\nbu... | shell | chosen |
[
{
"from": "system",
"value": "Use Firefox for WebGL tests\n[full ci]"
},
{
"from": "human",
"value": "#!/bin/bash\npushd features/fixtures/maze_runner/build\n unzip WebGL-$UNITY_VERSION.zip\npopd\n\nbundle install\nbundle exec maze-runner --farm=local --browser=chrome features/desktop\n"
},
... | shell | chosen |
[
{
"from": "system",
"value": "Update database backup pg_backup to use gzip\n"
},
{
"from": "human",
"value": "# shared includes for postgres\n\n\nfunction pg_backup(){\n\tif [[ \"$#\" -ne 1 ]] ; then\n \techo \"usage: pg_backup database_name\";\n \treturn 1;\n\tfi\n\n\tlocal database_name=... | shell | chosen |
[
{
"from": "system",
"value": "Fix deploy script github link\n"
},
{
"from": "human",
"value": "#!/bin/bash\nset -o errexit\n\nrm -rf storybook-static\n\n# config\ngit config --global user.email \"travis@travis-ci.org\"\ngit config --global user.name \"Travis CI\"\n\n# build\nyarn build-storybook... | shell | chosen |
[
{
"from": "system",
"value": "Use Aptible mirror of stunnel\n\nstunnel doesn't keep old archives up on their site, so let's use our own\nmirror for this.\n"
},
{
"from": "human",
"value": "#!/bin/bash\nset -o errexit\nset -o nounset\n\nSTUNNEL_VERSION=\"5.36\"\nSTUNNEL_SHA1SUM=\"60f7c761214f1959... | shell | chosen |
[
{
"from": "system",
"value": "Fix download script for expat\n"
},
{
"from": "human",
"value": "#!/bin/sh\n\nif [ ! -e talk/third_party/expat-2.0.1 ]; then\n\tif [ ! -e expat-2.0.1.tar.gz ]; then\n\t\techo \"Downloading expact...\"\n\t\twget http://sourceforge.net/projects/expat/files/expat/2.0.1... | shell | chosen |
[
{
"from": "system",
"value": "Remove setup script prior to first commit\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\n# Useful helper function, adapted from of https://gist.github.com/dciccale/5560837\nfunction parse_git_hash() {\n git rev-parse HEAD 2> /dev/null | sed \"s/\\(.*\\)/\\1/\"\n... | shell | chosen |
[
{
"from": "system",
"value": "Use files to improve debug output for tests.\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\ncount=0\nfailed=0\nstart=`date +%s%N`\nfailmsg=\"\"\n \nfor i in tests/*; do\n\tcount=$((count + 1))\n\tpushd $i > /dev/null 2> /dev/null\n\techo -n \"?\"\n\tmsg=$(../../v... | shell | chosen |
[
{
"from": "system",
"value": "Fix bug in sourcing guigui files\n"
},
{
"from": "human",
"value": "if [ $GUILLIMIN ]; then\n for file in *.guigui\n do\n source $file\n done\nfi\n"
},
{
"from": "gpt",
"value": "if [ $GUILLIMIN ]; then\n for file in $ZSH/guillimin/*.g... | shell | chosen |
[
{
"from": "system",
"value": "Apply shopt options to include hidden files\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\n# Set the tmpdir\nif [ -z \"$TMPDIR\" ]; then\n TMPDIR=\"/tmp\"\nfi\n\n# Create a temporary build dir and make sure we clean it up. For\n# debugging, comment out the trap ... | shell | chosen |
[
{
"from": "system",
"value": "[memcache] Remove arch keyword as it is no longer required\n"
},
{
"from": "human",
"value": "#\n# Kubler phase 1 config, pick installed packages and/or customize the build\n#\n_packages=\"net-misc/memcached\"\n\n#\n# This hook is called just before starting the bui... | shell | chosen |
[
{
"from": "system",
"value": "Make the cache freeze/unfreeze more verbose\n"
},
{
"from": "human",
"value": "#!/usr/bin/env bash\n\nset -o errexit\nset -o nounset\n\nif [[ -f .cache/alexwlchan_build.tar ]]\nthen\n docker load .cache/alexwlchan_build.tar\n docker load .cache/specktre.tar\nfi\n"... | shell | chosen |
[
{
"from": "system",
"value": "Add plugins to grafana installation\n"
},
{
"from": "human",
"value": "#!/usr/bin/env bash\n\nset -euf -o pipefail\n\nGRAFANA_VERSION=4.5.2\n\n# Copy configuration files\ncp /tmp/files/grafana/grafana.ini $PWD\n\n# Run Grafana automatically with Docker\ndocker run -... | shell | chosen |
[
{
"from": "system",
"value": "Remove unneeded pwd file reference\n"
},
{
"from": "human",
"value": "#!/bin/sh\nKEYSLOADED=`ssh-add -l | grep -v \"The agent has no identities.\" | wc -l`\nif [ $KEYSLOADED -lt 1 ]; then\n ssh-add\nfi\npushd $( cd \"$( dirname \"${BASH_SOURCE[0]}\" )\" && pwd )\np... | shell | chosen |
[
{
"from": "system",
"value": "Change to UNIX script file\n"
},
{
"from": "human",
"value": "#!/bin/bash\r\n\r\ndocker pull resin/rpi-raspbian:wheezy\r\ndocker run -d -i -t --name img-updater resin/rpi-raspbian:wheezy /bin/bash\r\ndocker exec img-updater apt-get update\r\ndocker exec img-updater ... | shell | chosen |
[
{
"from": "system",
"value": "Enable local executables installed by Perl distributions.\n"
},
{
"from": "human",
"value": "# Enable Perlbrew if it is installed.\nif [ -d ~/perl5/perlbrew/ ]; then\n\tsource ~/perl5/perlbrew/etc/bashrc\nfi\n\n# Enable cpanm if it is installed.\nif [ -e ~/perl5/bin... | shell | chosen |
[
{
"from": "system",
"value": "Add a link to my website"
},
{
"from": "human",
"value": "#!/bin/bash\n#\n# Find anagrams of default options for a list of commands\n\n# Pull in a list of common Linux commands\ncommandList=( $( \n curl 'http://www.thegeekstuff.com/2010/11/50-linux-commands/' 2> /d... | shell | chosen |
[
{
"from": "system",
"value": "Change back to docs example\n\nhttps://conda-forge.org/docs/maintainer/knowledge_base.html#using-cmake\n"
},
{
"from": "human",
"value": "#!/bin/sh\n\ncmake ${CMAKE_ARGS} -DCMAKE_INSTALL_PREFIX=$PREFIX \\\n -DCMAKE_BUILD_TYPE=Release \\\n -DCMAKE_INSTALL_L... | shell | chosen |
[
{
"from": "system",
"value": "Fix archive folder name after GitHub repo renamed\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\n# install_dependencies.sh\n#\n# :description: post-build script to install wakatime python package\n#\n# :maintainer: WakaTime <support@wakatime.com>\n# :license:... | shell | chosen |
[
{
"from": "system",
"value": "Use 3.5rc1 for testing on travis\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\ncurl -LO https://www.python.org/ftp/python/3.5.0/Python-3.5.0b2.tar.xz\ntar -xJf Python-3.5.0b2.tar.xz\ncd Python-3.5.0b2\n./configure --prefix=${HOME}/.local && make install\n"
},
... | shell | chosen |
[
{
"from": "system",
"value": "Set kubectl to default one if env variable is not set or empty\n"
},
{
"from": "human",
"value": "if ! [ -z $KUBECTL_NAME ]; then\n if [ -x \"$(command -v kubectl)\" ]; then\n KUBECTL_NAME='kubectl'\n else\n KUBECTL_NAME=${KUBECTL_NAME}\n fi\n... | shell | chosen |
[
{
"from": "system",
"value": "Add debug information to compiler build\n"
},
{
"from": "human",
"value": "#!/usr/bin/env bash\n\nscript_path=$(dirname $0)\noutput_dir=$script_path/extended/compiler\ntemporary_dir=$(mktemp -d)\n\n$script_path/build.sh\n$script_path/extended/bootstrap/compile-libra... | shell | chosen |
[
{
"from": "system",
"value": "Remove unnecessary deactivation of venv\n"
},
{
"from": "human",
"value": "#!/bin/bash\nset -e\n\n. .activate-venv.sh\n. .lint.sh\necho \"Failing if lint produces local modifications\"\ngit diff --exit-code\n. .shell-lint.sh\ndeactivate\n"
},
{
"from": "gpt"... | shell | chosen |
[
{
"from": "system",
"value": "Add documentation to clone the repository of the plugin\n"
},
{
"from": "human",
"value": "#!/bin/bash\n# This script is largely targeted at fresh Ubuntu docker images\n# Before attempting to install git, make sure to run:\n# apt-get update\n# apt-get install git\... | shell | chosen |
[
{
"from": "system",
"value": "Provision virtual environments for class work inside Vagrant VM.\n"
},
{
"from": "human",
"value": "# Add PYENV and base 3.4.3 Python\nsu - vagrant -c \"curl -L https://raw.githubusercontent.com/yyuu/pyenv-installer/master/bin/pyenv-installer | bash\"\nsu - vagrant ... | shell | chosen |
[
{
"from": "system",
"value": "Update ruby-gems open-uri usage for 2.5+ to use \"URI.open\"\n\nSee https://bugs.ruby-lang.org/issues/15893 and https://github.com/ruby/ruby/commit/05aac90a1bcfeb180f5e78ea8b00a4d1b04d5eed for more details.\n\nSpecifically, in 2.7.0-preview2, this changed from silently working ... | shell | chosen |
[
{
"from": "system",
"value": "Add carddav plugin to DB init\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\nscriptdir=`dirname \"$BASH_SOURCE\"`\nsource \"$scriptdir/shared\"\n\nmkdir \"$RC_DB_SQLITE_FOLDER\"\nsqlite3 \"$RC_DB_SQLITE_PATH\" < \"$RC_PATH/SQL/sqlite.initial.sql\"\n\nif [ $? -ne ... | shell | chosen |
[
{
"from": "system",
"value": "Add python3-pip & neovim packages\n"
},
{
"from": "human",
"value": "#!/usr/bin/bash\n\n# Remove previously added repositories (to remain idempontent)\nsudo rm -f /etc/apt/sources.list.d/*\n\n## Repositories\n# Adapta GTK theme\nsudo apt-add-repository -y ppa:tista/... | shell | chosen |
[
{
"from": "system",
"value": "Check status before tailing log."
},
{
"from": "human",
"value": "#!/bin/bash\ntar -zxf $PACKDIR/$PACKFILE -C $WORKDIR\ncp $CONFIGDIR/$CONFIGFILE $WORKDIR\n$WORKDIR/control restart\n$WORKDIR/control tail\n"
},
{
"from": "gpt",
"value": "#!/bin/bash\n\nWA... | shell | chosen |
[
{
"from": "system",
"value": "Fix `test` usage with `/bin/sh`\n\nPOSIX `sh` doesn't support `==` operator, only `=`. `==` operator available in `/bin/bash`."
},
{
"from": "human",
"value": "#!/bin/sh\n\nversion_gt() { test \"$(echo \"$@\" | tr \" \" \"\\n\" | sort -V | tail -n 1)\" == \"$1\"; }\... | shell | chosen |
[
{
"from": "system",
"value": " Check status before tailing log."
},
{
"from": "human",
"value": "#!/bin/bash\ntar -zxf $PACKDIR/$PACKFILE -C $WORKDIR\ncp $CONFIGDIR/$CONFIGFILE $WORKDIR/rrd/$CONFIGFILE\nvirtualenv $WORKDIR/env\npip install -r /home/dashboard/pip_requirements.txt\n$WORKDIR/contro... | shell | chosen |
[
{
"from": "system",
"value": "Use subunit-trace executable from tempest-lib\n\nChange-Id: I098a59089d94b00c4515a8f63f125398a0c3cb21\n"
},
{
"from": "human",
"value": "#!/usr/bin/env bash\nset -eu\nset -o pipefail\n\nusage() {\n echo \"$(basename $0) [--skip-file file] test-regex1 test-regex2 ... | shell | chosen |
[
{
"from": "system",
"value": "Add function to determine if on Mac OSX\n"
},
{
"from": "human",
"value": "#! /usr/bin/env bash\n\ncontains_element() {\n local e\n for e in \"${@:2}\"; do [[ \"$e\" == \"$1\" ]] && return 0; done\n return 1\n}\n\nrun_in_dir() {\n local current_dir=`pwd`\n cd $... | shell | chosen |
[
{
"from": "system",
"value": "Fix homebrew extra script filepath\n"
},
{
"from": "human",
"value": "###############################################################################\n# Remap Home/End Keys #\n##################################... | shell | chosen |
[
{
"from": "system",
"value": "Remove some cruft from the system blob test script.\n"
},
{
"from": "human",
"value": "#!/bin/sh\n\nbuilddir=$1\nport=4004\nexp=blobgen_exp\n\nenv | grep dir\npwd\n\n[ -f ${exp}.sq3 ] && rm -f ${exp}.sq3\n[ -f blobgen-server.log ] && rm -f blobgen-server.log\n${top_... | shell | chosen |
[
{
"from": "system",
"value": "Copy compiled gTest library to /usr/local/lib instead of /usr/lib\n"
},
{
"from": "human",
"value": "#!/bin/sh\nsudo apt-get install libboost-all-dev liblog4cplus-dev libgraphicsmagick++1-dev libssl-dev libgtest-dev\ncd /usr/src/gtest && sudo cmake CMakeLists.txt -D... | shell | chosen |
[
{
"from": "system",
"value": "Remove xvimrc as a symlink item\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\ndir=$DOTFILES\nfiles=(bashrc \\\n bin \\\n ctags \\\n gitattributes \\\n gitconfig \\\n gitignore \\\n js \\\n lldbhelpers \\\n lldbinit... | shell | chosen |
[
{
"from": "system",
"value": "Include .def files in the bash line counts.\n"
},
{
"from": "human",
"value": "#!/bin/bash\n#\n# Usage:\n# ./run.sh <function name>\n\nset -o nounset\nset -o pipefail\nset -o errexit\n\nreadonly BASH_DIR=~/src/languages/bash-4.4\n\nbash-files() {\n find $BASH_DIR... | shell | chosen |
[
{
"from": "system",
"value": "Add i386 arch to dpkg\n"
},
{
"from": "human",
"value": "#!/bin/bash -xe\n\ncase \"$TRAVIS_OS_NAME\" in\n \"linux\")\n sudo apt-get update\n sudo apt-get install -y wine1.6\n ;;\n \"osx\")\n npm install wine-darwin@1.9.17-1\n # Setup ~/.wine by runn... | shell | chosen |
[
{
"from": "system",
"value": "Remove bytecode before running tests\n\nChange-Id: I7a21dd2a76aea060ae13bd544300fef13d2a1d1a\n"
},
{
"from": "human",
"value": "#! /bin/sh\n\nTESTRARGS=$1\n\nexec 3>&1\nstatus=$(exec 4>&1 >&3; ( python setup.py testr --slowest --testr-args=\"--subunit $TESTRARGS\"; ... | shell | chosen |
[
{
"from": "system",
"value": "Remove md5 files (not using them at the moment...)\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\nmkdir -p gz\ncd gz\n\nwget -r --no-parent --no-directories ftp://ftp.nlm.nih.gov/nlmdata/.medleasebaseline/gz/ > ../out.log 2> ../err.log\n\ngunzip *.gz >> ../out.lo... | shell | chosen |
[
{
"from": "system",
"value": "Check Bashisms: Escape newline character\n"
},
{
"from": "human",
"value": "@INCLUDE_COMMON@\n\necho\necho ELEKTRA SCRIPTS BASHISMS TEST\necho\n\ncommand -v checkbashisms >/dev/null 2>&1 || { echo \"checkbashisms command needed for this test, aborting\" >&2; exit 0;... | shell | chosen |
[
{
"from": "system",
"value": "Move GPG agent availability check to the top\n"
},
{
"from": "human",
"value": "#\n# Provides for an easier use of gpg-agent.\n#\n# Authors:\n# Florian Walch <florian.walch@gmx.at>\n# Sorin Ionescu <sorin.ionescu@gmail.com>\n#\n\n_gpg_env=\"$HOME/.gnupg/gpg-agen... | shell | chosen |
[
{
"from": "system",
"value": "Make sure setup script runs on linux\n"
},
{
"from": "human",
"value": "#!/usr/bin/env bash\n\nOS=$(uname -s)\n\nfunction is_macos() {\n [[ \"$OS\" =~ Darwin ]]\n}\n\nfunction is_linux() {\n [[ \"$OS\" =~ Linux ]]\n}\n\nfunction is_ubuntu() {\n ! is_linux && retu... | shell | chosen |
[
{
"from": "system",
"value": "Add bash command to display logs\n"
},
{
"from": "human",
"value": "#!/usr/bin/env bash\n\nif [[ $# -eq 0 ]]\nthen\n echo \"Usage\"\n echo \"./launcher generate\"\n echo \"./launcher build\"\n echo \"./launcher run\"\n echo \"./launcher run [port]\"\n... | shell | chosen |
[
{
"from": "system",
"value": "Put packaged tar in shell script variable\n\nChange-Id: I0fe1bc984bf6b73b7a9154204481af8da6c0cf18\n"
},
{
"from": "human",
"value": "#!/bin/bash\n#\n# Copyright 2018 Google LLC\n#\n# Licensed under the Apache License, Version 2.0 (the \"License\");\n# you may not us... | shell | chosen |
[
{
"from": "system",
"value": "Remove \"set -x\" before calling clang_format\n\nIt makes the otput more readable if there are formatting errors\n"
},
{
"from": "human",
"value": "#!/usr/bin/env bash\nset -ex\n\nBUILDROOT=\"$(git rev-parse --show-toplevel)\"\n\nsource $BUILDROOT/build-aux/ci/forma... | shell | chosen |
[
{
"from": "system",
"value": "Check that the LLVM source directory exists before changing to it.\n\n\n"
},
{
"from": "human",
"value": "#!/bin/sh\nLLVM_PATH=`llvm-config --src-root`\nLIBOBJC_PATH=`pwd`\nif [ x$LLVM_PATH != x ] ; then\n\tcd $LLVM_PATH\n\tcd lib/Transforms\n\tif [ ! -d GNURuntime ... | shell | chosen |
[
{
"from": "system",
"value": "Move to 3.6 by default and clean out used variables"
},
{
"from": "human",
"value": "#!/bin/echo Usage: . $0\n\nexport BUILDER_CFG_PLATFORM=$(uname -s)\nexport PYTHON_VERSION=${1:-3.5}\ncase ${BUILDER_CFG_PLATFORM} in\n\nDarwin)\n export BUILDER_CFG_PLATFORM=MacO... | shell | chosen |
[
{
"from": "system",
"value": "[shell.lib] Remove useless message when docker is not present\n"
},
{
"from": "human",
"value": "# Docker related functions\nif ! DOCKER=$(which docker) ;then\n\techo \"Docker not installed\"\n\treturn\nfi\n\nmy_docker_clean () {\n\tlocal container arg1=$1\n\tif [ \... | shell | chosen |
[
{
"from": "system",
"value": "Fix error when try to get latest tag\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\nif [ \"$TRAVIS_REPO_SLUG\" == \"openxc/openxc-android\" ] && [ \"$TRAVIS_JDK_VERSION\" == \"openjdk8\" ] && [ \"$TRAVIS_PULL_REQUEST\" == \"false\" ] && [ \"$TRAVIS_BRANCH\" == \"... | shell | chosen |
[
{
"from": "system",
"value": "Fix quoating bug in Travis\n"
},
{
"from": "human",
"value": "#!/usr/bin/env bash\n##===-------------------------------------------------------------------------------*- bash -*-===##\n## _ \n## |... | shell | chosen |
[
{
"from": "system",
"value": "Use standard json module in valdiatejson helper.\n"
},
{
"from": "human",
"value": "alias pyweb='python -m SimpleHTTPServer'\nalias mrs='./manage.py runserver'\nalias ms='./manage.py shell'\nalias fab='nocorrect python /usr/local/bin/fab'\nalias pylint='python /usr/... | shell | chosen |
[
{
"from": "system",
"value": "Make a zip file to extract within CouchDB\n"
},
{
"from": "human",
"value": "#!/bin/sh\n\n[ -z \"$plugin_name\" ] && read -p \"plugin_name: \" plugin_name\n\nif [ -d \"./rebar\" ]; then\n make -C rebar\nelse\n echo \"Missing rebar. Try git submodule update --init\... | shell | chosen |
[
{
"from": "system",
"value": "Remove the restart of CouchDB from each cucumber run, as this problem\nhas gone away based on the replications changes; remove junit output\nfiles before cukes are run, as if tests have been removed between the\nlast cuke run and this one, the old stale files will still be sitt... | shell | chosen |
[
{
"from": "system",
"value": "Remove unused parameter from fetchGrammarKit.sh invocation.\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\nif [[ $# -eq 0 ]] ; then\n echo 'This script must be called with the version of IDEA to build'\n echo 'example: ./build.sh 13.1.6'\n exit 1\nfi\n\n... | shell | chosen |
[
{
"from": "system",
"value": "Clean tmp folder after unzipping KoreBuild\n"
},
{
"from": "human",
"value": "#!/usr/bin/env bash\nrepoFolder=\"$( cd \"$( dirname \"${BASH_SOURCE[0]}\" )\" && pwd )\"\ncd $repoFolder\n\nkoreBuildZip=\"https://github.com/aspnet/KoreBuild/archive/dev.zip\"\nif [ ! -z... | shell | chosen |
[
{
"from": "system",
"value": "Fix handling of bin directory\n"
},
{
"from": "human",
"value": "#!/usr/bin/env bash\n\nexport BIN=$(pwd)/bin\n\n# Build native components\n(\n cd src/libpsl-native\n cmake -DCMAKE_BUILD_TYPE=Debug .\n make -j\n ctest -V\n cp src/libpsl-native.* $BIN\... | shell | chosen |
[
{
"from": "system",
"value": "Drop old check for undefined environment variables\n\nIt use to be the case that `conda-build` would define undefined\nenvironment variables with the `<UNDEFINED>` string. However this was\nfixed in `conda-build` 1.19.1. Since conda-build 1 is no longer\nsupported, and `conda-b... | shell | chosen |
[
{
"from": "system",
"value": "Fix keyserver public key value\n"
},
{
"from": "human",
"value": "#! /bin/bash\n\nset -o errexit\nset -o nounset\n\ninstall_ponyc(){\n echo -e \"\\033[0;32mInstalling latest ponyc release\\033[0m\"\n sudo apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --rec... | shell | chosen |
[
{
"from": "system",
"value": "Remove the change to home directory.\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\nset -x\nset -e\n\nGIT_REPO=https://github.com/timvideos/HDMI2USB-misoc-firmware.git\nGIT_BRANCH=scripts\n\nsudo apt-get install -y git realpath\ncd ~\n\nif [ -e HDMI2USB-misoc-fir... | shell | chosen |
[
{
"from": "system",
"value": "Replace Ruby 2.1.0 and 2.1.1 with 2.1.2\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\necho \"** Linux:\"\necho `uname -a`\n\necho \"\\n** Browsers:\"\necho `firefox --version`\n\necho \"\\n** Databases:\"\necho `mysql --version`\necho `psql --version`\necho `red... | shell | chosen |
[
{
"from": "system",
"value": "Change permission of deploy key\n"
},
{
"from": "human",
"value": "#!/usr/bin/env bash\nset -e\n\nDEPLOY_KEY=\"bin/travis_deploy\"\n\nfunction setupDeployKey() {\n openssl aes-256-cbc -K ${encrypted_0b4868dc32b1_key} -iv ${encrypted_0b4868dc32b1_iv} -in ${DEPLOY_KE... | shell | chosen |
[
{
"from": "system",
"value": "Add secret and remove --force\nwhen merging PR secret has to be used in hashed form. Also remove --force from publishing scripts\n"
},
{
"from": "human",
"value": "#!/usr/bin/env bash\n#execute this only when pull requesting to master, or pushing to master\nexport G... | shell | chosen |
[
{
"from": "system",
"value": "Add variable PORT to allow for non-standard TCP port by SSH\n"
},
{
"from": "human",
"value": "#!/bin/bash\n# \n# Create a named pipe and attach the output of a remote\n# tcpdump to it (running on the VIRL host). Would require\n# the correct tap interface as a param... | shell | chosen |
[
{
"from": "system",
"value": "Install cargo fmt if missing\n"
},
{
"from": "human",
"value": "#!/bin/bash\nset -eux -o pipefail\n\ncargo fmt -- --check\ncargo build\ncargo test"
},
{
"from": "gpt",
"value": "#!/bin/bash\nset -eux -o pipefail\n\ncargo fmt --version || rustup component... | shell | chosen |
[
{
"from": "system",
"value": "Add linter to test script\n"
},
{
"from": "human",
"value": "#! /bin/bash\n\nmeteor test-packages \\\n \"$(pwd)/packages/rest\" \\\n \"$(pwd)/packages/json-routes\" \\\n \"$(pwd)/packages/rest-bearer-token-parser\" \\\n \"$(pwd)/packages/authenticate-user-by-tok... | shell | chosen |
[
{
"from": "system",
"value": "Edit ls alias to make file sizes human readable and not list redundant . and .. directories\n"
},
{
"from": "human",
"value": "#BUILT INS\nalias a=\"ls -G -p\"\nalias aa=\"a -a\"\nalias aaa=\"aa -l\"\n\nalias up=\"cd ../;a\"\n\n#grep for pattern in files with extens... | shell | chosen |
[
{
"from": "system",
"value": "Add missing commands to reset migration script\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\necho \"#### Clear the migration history ####\"\npython manage.py migrate --fake customdashboard zero\npython manage.py migrate --fake formlibrary zero\npython manage.py ... | shell | chosen |
[
{
"from": "system",
"value": "Fix case multiple host IP addresses"
},
{
"from": "human",
"value": "case \"$1\" in\n start)\n echo \"Starting Docker Compose\" >&2\n echo \"Reverse proxy domain name is \\\"$(hostname -i)\\\"\" >&2\n echo \"REVERSE_PROXY_DOMAIN_NAME=$(hostna... | shell | chosen |
[
{
"from": "system",
"value": "Fix typo in CI script\n"
},
{
"from": "human",
"value": "#!/usr/bin/env sh\n\nset -ex\n\nretry() {\n result=0\n count=1\n max=5\n while [ \"$count\" -le 3 ]; do\n [ \"$result\" -ne 0 ] && {\n printf \"\\nRetrying, %d of %d\\n\" $count $... | shell | chosen |
[
{
"from": "system",
"value": "Use chmod's -m flag to set the mode\n"
},
{
"from": "human",
"value": "#!/bin/sh -e\n\n# Install bash & sudo\npkg install -qy bash sudo\n\n# Create the vagrant user with a password of vagrant\npw groupadd vagrant -g 1001\nmkdir -p /home/vagrant\npw useradd -n vagran... | shell | chosen |
[
{
"from": "system",
"value": "Return 1 on empty output\n\nFixes issue\n despf.sh fails silently #33\n"
},
{
"from": "human",
"value": "#!/bin/sh -e\n#\n# Usage: ./despf <domain_with_SPF_TXT_record>\n\n# Check for required tools\nfor cmd in dig awk grep sed cut\ndo\n type $cmd >/dev/null\ndone\n... | shell | chosen |
[
{
"from": "system",
"value": "Send bamDiff.py output to screen"
},
{
"from": "human",
"value": "#!/bin/bash\n\ncd /home/ubuntu/rawdata\n./doGetRawdata.sh\n\ncd /home/ubuntu/genome\n./doGetChr20.sh\n\ncd /home/ubuntu/bwa\n./doBWA.sh\n\ncd /home/ubuntu/hisat\n./doHISAT.sh\n\ncd /home/ubuntu/star\n... | shell | chosen |
[
{
"from": "system",
"value": "Add alias to easily reach iCloud Drive folder\n"
},
{
"from": "human",
"value": "# Darwin specific aliases\n#\nif [[ \"$(uname -s)\" == \"Darwin\" ]] ; then\n\n # System utils\n alias ls=\"ls -GF\"\n alias l=\"ls -GF\"\n if command -v gdf >/dev/null 2>&1 ; then\... | shell | chosen |
[
{
"from": "system",
"value": "Add some basic tests for metrics_daemon.\n\nA separate CL adds a test stanza to the metrics ebuild. More tests\n(specifically, for the D-Bus MessageFilter) will also come in a\nseparate CL.\n\nReview URL: http://codereview.chromium.org/1919005\n"
},
{
"from": "human",
... | shell | chosen |
[
{
"from": "system",
"value": "Install .NET Core 2.2 runtime on Travis\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\nset -e\n\ndotnet --info\n\n# Check all the tools still build\ndotnet build build/Tools.sln\n\n# And now the actual web site\ndotnet build -c Release src/NodaTime-Web.sln\ndotne... | shell | chosen |
[
{
"from": "system",
"value": "Fix LD_LIBRARY_PATH for lisp core build\n"
},
{
"from": "human",
"value": "#!/bin/sh\n\nCOMMON_LISP=$1\ntop_srcdir=$2\n\nLD_LIBRARY_PATH=.libs:$LD_LIBRARY_PATH exec $COMMON_LISP --script <<EOF\n(defvar *top-srcdir* \"$2\")\n(load \"$2/share/make-aarx.lisp\")\nEOF\n"... | shell | chosen |
[
{
"from": "system",
"value": "SR: Fix matching of lines containing `%` chars\n"
},
{
"from": "human",
"value": "replace_newline_return () {\n\tawk '{if (NR>1) {printf line\"⏎\";} line=$0;} END { printf line; }'\n}\n\nregex_escape () {\n\tsed 's/\\\\/\\\\\\\\/g' | sed 's/\\[/\\\\\\[/g' | sed 's/\... | shell | chosen |
[
{
"from": "system",
"value": "Remove dist directory before publishing\n"
},
{
"from": "human",
"value": "set -e\nif [ \"$TRAVIS_PULL_REQUEST\" == \"false\" ]; then\n echo -e \"Starting to update gh-pages\\n\"\n\n GH_REPO=\"@github.com/$TRAVIS_REPO_SLUG.git\"\n FULL_REPO=\"https://$TOKEN$GH_RE... | shell | chosen |
[
{
"from": "system",
"value": "Update rpm's pkg_source to new location.\n\nSigned-off-by: Yvonne Lam <5473f88a9985ce6824a12a6be5211f5455b484aa@chef.io>\n"
},
{
"from": "human",
"value": "pkg_name=rpm\npkg_origin=core\npkg_version=4.12.0.1\npkg_license=(\"GPL-2.0\" \"LGPL-2.0\")\npkg_description=\... | shell | chosen |
[
{
"from": "system",
"value": "Use command builtin instead of command substitution\n"
},
{
"from": "human",
"value": "slimline::section::nodejs::precmd() {\n unset slimline_section_nodejs_output\n}\n\nslimline::section::nodejs::async_task() {\n echo \"$(node -v 2>/dev/null)\"\n}\n\nslimline::se... | shell | chosen |
[
{
"from": "system",
"value": "Remove Skype from cask installer\n"
},
{
"from": "human",
"value": "#!/usr/bin/env bash\n\nsource ~/dotfiles/setup/header.sh\n\necho \"Installing Homebrew Casks...\"\npreload_cask_list\n\n# Install essential macOS apps via Cask (in order of essentiality)\ninstall_ca... | shell | chosen |
[
{
"from": "system",
"value": "Install middlewared.client with --single-version-externally-managed so\nit can be imported correctly\n"
},
{
"from": "human",
"value": "#!/usr/bin/env sh\n# Author: Joe Maloney\n# License: BSD\n# Location for tests into REST API of FreeNAS 9.10\n\n# Where is the ixb... | shell | chosen |
[
{
"from": "system",
"value": "Add util to append character to previous string\n"
},
{
"from": "human",
"value": "include base.comparator.BaseComparator\ninclude string.validator.StringValidator\n\nStringUtil(){\n\tcapitalize(){\n\t\tlocal str=${@}\n\n\t\techo ${str^}\n\t}\n\n\tlength(){\n\t\tstr... | shell | chosen |
[
{
"from": "system",
"value": "Disable tiered compilation, run test for longer\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\nif [ \"$JAVA_HOME\" == \"\" ]; then\n echo \"JAVA_HOME is not set!\"\n exit 1\nfi\n\nJAVA=\"$JAVA_HOME/bin/java\"\nLIB_LOCATION=\"../../../build/libs/perf-worksho... | shell | chosen |
[
{
"from": "system",
"value": "Add tfds.load to initial import test\n\nPiperOrigin-RevId: 224069478\n"
},
{
"from": "human",
"value": "#!/bin/bash\n\nset -v # print commands as they're executed\nset -e # fail and exit on any command erroring\n\n: \"${TF_VERSION:?}\"\n\nif [[ \"$TF_VERSION\" == ... | shell | chosen |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.